## @rxap/tree

### Index

### Classes

DefaultTreeApplyFilterMethod
SearchForm
TreeComponent
TreeContentDirective
TreeDataSource

### Interfaces

ISearchForm
TreeApplyFilterParameter
TreeDataSourceMetadata

### Variables

RXAP_TREE_CONTENT_EDITABLE_METHOD
RXAP_TREE_DATA_SOURCE_APPLY_FILTER_METHOD
RXAP_TREE_DATA_SOURCE_CHILDREN_REMOTE_METHOD
RXAP_TREE_DATA_SOURCE_ROOT_REMOTE_METHOD
SearchFormProviders

### Functions

FormFactory
flatTree
isSelectionChange